{%- assign item = item | default: false -%}
{%- assign encode = encode | default: true -%}
{%- capture tags -%}
{%- for tag in item.tags -%}
{%- if tag contains '-' -%}
{%- assign splitTags = tag | split: '-' -%}
,"{{splitTags[0]}}:{{splitTags | join: '-' | remove: splitTags[0] | remove_first: '-'}}"
{%- endif -%}
{%- endfor -%}
{%- endcapture -%}

{%- capture json -%}
{
  "id": "{{item.id}}",
  "images": [{%- for image in item.images -%}"{{image.src | img_url: 'medium'}}"{% unless forloop.last %},{% endunless %}{%- endfor -%}],
  "variants": [{%- for variant in item.variants -%}{"title": "{{variant.title}}", "id": "{{variant.id}}"}{% unless forloop.last %},{% endunless %}{%- endfor -%}],
  "available": {{item.available}},
  "handle": "{{item.handle}}",
  "title": "{{item.title}}",
  "featuredImage": "{{item.featured_image | img_url: 'grande' }}",
  "tags": [{%- for tag in item.tags -%}"{{tag}}"{% unless forloop.last %},{% endunless %}{%- endfor -%}],
  "price": "{{ item.price | money }}",
  "optionNames": [{%- for optionName in item.options -%}"{{optionName}}"{% unless forloop.last %},{% endunless %}{%- endfor -%}]{%- if item.options_with_values.size > 0-%},{%- endif -%}
  {%- for option in item.options_with_values -%}
  "{{option.name}}": [{% for value in option.values %}"{{value}}"{% unless forloop.last %},{% endunless %}{% endfor%}]{% unless forloop.last %},{% endunless %}
  {%- endfor -%}
}
{%- endcapture -%}
{%- if encode -%}{{json | url_encode}}{%- else -%}{{json}}{%- endif -%}
{%- assign encode = nil -%}
{%- assign json = nil -%}
{%- assign item = nil -%}
{%- assign tags = nil -%}
